package com.googlecode.alfresco.repository.query;

/**
 * Factory for creating {@link QueryBuilder} instances.
 *
 * @author Laurens Fridael
 *
 */
public interface QueryBuilderFactory {
	/**
	 * Creates a {@link QueryBuilder} for the default store. ("workspace://SpacesStore").
	 *
	 * @return The QueryBuilder.
	 */
	public QueryBuilder createQueryBuilder();

	/**
	 * Creates a {@link QueryBuilder}, using an existing {@link Query} as a starting point.
	 *
	 * @param query
	 * @return The {@link QueryBuilder}.
	 */
	public QueryBuilder createQueryBuilder(Query query);
}
