package com.googlecode.alfresco.repository.query.impl;

import org.springframework.util.Assert;

import com.googlecode.alfresco.repository.query.Invertable;

/*package*/class Condition<LhsType, RhsType> implements Invertable {

	private final LhsType lhs;

	private final Operator operator;

	private final RhsType rhs;

	private boolean inverted = false;

	/* package */Condition(final LhsType lhs, final Operator operator, final RhsType rhs) {
		Assert.notNull(lhs);
		Assert.notNull(operator);
		Assert.notNull(rhs);
		this.lhs = lhs;
		this.operator = operator;
		this.rhs = rhs;
	}

	public LhsType getLhs() {
		return lhs;
	}

	public Operator getOperator() {
		return operator;
	}

	public RhsType getRhs() {
		return rhs;
	}

	@Override
	public boolean isInverted() {
		return inverted;
	}

	@Override
	public void setInverted(final boolean inverted) {
		this.inverted = inverted;
	}

}
