package com.googlecode.alfresco.repository.query.impl;

import org.springframework.util.Assert;

import com.googlecode.alfresco.repository.query.Query;
import com.googlecode.alfresco.repository.query.QueryBuilder;
import com.googlecode.alfresco.repository.query.QueryBuilderFactory;

/**
 * Default {@link QueryBuilderFactory} implementation. Creates {@link QueryBuilderImpl} instances.
 *
 * @author Laurens Fridael
 *
 */
public class QueryBuilderFactoryImpl implements QueryBuilderFactory {

	@Override
	public QueryBuilder createQueryBuilder() {
		return new QueryBuilderImpl(new Query(), null);
	}

	@Override
	public QueryBuilder createQueryBuilder(final Query query) {
		Assert.notNull(query, "Query cannot be null.");
		return new QueryBuilderImpl(query, null);
	}

}
